Subject: Re: [PATCH net-next 1/3] iavf: add check for current MAC address in set_mac callback

From: Jakub Kicinski <[email-masked]>
Date: Wed, 7 Jun 2023 09:38:10 -0700

On Wed, 7 Jun 2023 12:29:36 +0200 Piotr Gardocki wrote:
> I need a piece of advice though:
> 1) Should I fix it in this patch set, or treat it as a separate thread?

Separate is probably better, you can post such a change directly 
to netdev, without going via the Intel tree.

> 2) I suppose the change is required only in dev_set_mac_address function, but
> am I right assuming we should do it before call to dev_pre_changeaddr_notify
> and return from function early? What about call to add_device_randomness?

I'd add the check right after the netif_device_present() check and not
worry about notifier or randomness. The address isn't changing so
nothing to notify about and no real randomness to be gained.